FLANG

Classes | Public Member Functions | List of all members
Fortran::semantics::OmpAttributeVisitor Class Reference

## Public Member Functions
| OmpAttributeVisitor (SemanticsContext &context, ResolveNamesVisitor &resolver)
template<typename A >
void | Walk (const A &x)
template<typename A >
bool | Pre (const A &)
template<typename A >
void | Post (const A &)
bool | Pre (const parser::SpecificationPart &x)
bool | Pre (const parser::OpenMPBlockConstruct &)
void | Post (const parser::OpenMPBlockConstruct &)
void | Post (const parser::OmpBeginBlockDirective &)
bool | Pre (const parser::OpenMPLoopConstruct &)
void | Post (const parser::OpenMPLoopConstruct &)
void | Post (const parser::OmpBeginLoopDirective &)
bool | Pre (const parser::DoConstruct &)
bool | Pre (const parser::OpenMPSectionsConstruct &)
void | Post (const parser::OpenMPSectionsConstruct &)
bool | Pre (const parser::OpenMPThreadprivate &)
void | Post (const parser::OpenMPThreadprivate &)
void | Post (const parser::OmpDefaultClause &)
bool | Pre (const parser::OmpClause::Shared &x)
bool | Pre (const parser::OmpClause::Private &x)
bool | Pre (const parser::OmpClause::Firstprivate &x)
bool | Pre (const parser::OmpClause::Lastprivate &x)
void | Post (const parser::Name &)

The documentation for this class was generated from the following file:

- lib/Semantics/resolve-names.cpp